maven-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Arnaud Héritier <aherit...@gmail.com>
Subject Re: WARNING: Cannot use Maven 3.0.3 with Maven Release Plugin 2.2.2 (MNG-5224)
Date Tue, 03 Jan 2012 21:42:53 GMT
I agree to not hold up the 3.0.4 release as it was already in 3.0.3 thus
the problem was in the previous release process that didn't identify this
problem.
The problem of this bug is that we don't know if this bug is affecting many
plugins but it seems that it's not really the case as it is here for a long
time now (more than one year ago when we released the 3.0.3)
I would recommend to try to improve the visibility of know bugs in our web
sites (core and plugins) to try to avoid as much as possible to let our
users loose many time with them. The question is how ???
For example for this bug with the release plugin I lost 1/2 day to identify
it ( the time to understand that one team upgraded the release plugin
version, to replay the release problem ...)

Arnaud

On Tue, Jan 3, 2012 at 10:29 PM, Jesse Farinacci <jieryn@gmail.com> wrote:

> Greetings,
>
> On Tue, Jan 3, 2012 at 4:20 PM, Stephen Connolly <
> stephen.alan.connolly@gmail.com> wrote:
>
> > that is because you are using maven-release-plugin 2.2.1
> > switch to 2.2.2 and see how you feel
>
>
> Sounds like there is a clear and easy work around. Why hold up a release
> for this?
>
> -Jesse
>
> --
> There are 10 types of people in this world, those
> that can read binary and those that can not.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message